Bug 6833 - ClassCastException in ResourceSweeper
: ClassCastException in ResourceSweeper
Status: RESOLVED FIXED
: Nimbus
Workspace service
: TP2.2
: PC Linux
: P3 normal
: TP2.2.1
Assigned To:
: http://lists.globus.org/pipermail/wor...
:
:
: 6981
  Show dependency treegraph
 
Reported: 2009-08-07 10:53 by
Modified: 2010-04-30 10:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-07 10:53:39
User reports seeing this stacktrace from time to time:


2009-07-25 21:24:55,320 ERROR impls.ResourceSweeper
[pool-3-thread-1,run:91] Problem sweeping resources:
edu.emory.mathcs.backport.java.util.concurrent.FutureTask
java.lang.ClassCastException:
edu.emory.mathcs.backport.java.util.concurrent.FutureTask
        at
org.globus.workspace.service.impls.ResourceSweeper.findAndDestroy(ResourceSweeper.java:123)
        at
org.globus.workspace.service.impls.ResourceSweeper.run(ResourceSweeper.java:89)
        at
edu.emory.mathcs.backport.java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:442)
        at
edu.emory.mathcs.backport.java.util.concurrent.FutureTask.runAndReset(FutureTask.java:200)
        at
edu.emory.mathcs.backport.java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:151)
        at
edu.emory.mathcs.backport.java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:263)
        at
edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1061)
        at
edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:575)
        at java.lang.Thread.run(Thread.java:595)
------- Comment #1 From 2010-04-30 10:18:38 -------
This was fixed as part of Bug 7007